## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeDocumentFragmentAllocator Class Reference

`#include <XalanSourceTreeDocumentFragmentAllocator.hpp>`

Collaboration diagram for XalanSourceTreeDocumentFragmentAllocator:

[legend]
List of all members.

## Public Types

- typedef XalanSourceTreeDocumentFragment data_type
- typedef ReusableArenaAllocator<
  data_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanSourceTreeDocumentFragmentAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanSourceTreeDocumentFragmentAllocator ()
- data_type* create (XalanSourceTreeDocument &theValue)
    Create a XalanSourceTreeDocumentFragment object. More...
- data_type* create (const data_type &theSource)
    Create an XalanSourceTreeDocumentFragment object. More...
- bool destroy (data_type *theObject)
    Delete an XalanSourceTreeDocumentFragment object from allocator. More...
- bool ownsObject (const data_type *theObject)
    Determine if an object is owned by the allocator... More...
- void reset ()
    Delete all XalanSourceTreeDocumentFragment objects from allocator. More...
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated. More...
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...

## Member Typedef Documentation

typedef ReusableArenaAllocator< data_type > XalanSourceTreeDocumentFragmentAllocator::ArenaAllocatorType<data_type>

typedef XalanSourceTreeDocumentFragment XalanSourceTreeDocumentFragmentAllocator::data_type

typedef ArenaAllocatorType::size_type XalanSourceTreeDocumentFragmentAllocator::size_type

## Constructor & Destructor Documentation

XalanSourceTreeDocumentFragmentAllocator::XalanSourceTreeDocumentFragmentAllocator ( | MemoryManagerType & theManager,
| size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XalanSourceTreeDocumentFragmentAllocator::~XalanSourceTreeDocumentFragmentAllocator ( | )

## Member Function Documentation

data_type * XalanSourceTreeDocumentFragmentAllocator::create ( | const data_type & theSource )

  | Create an XalanSourceTreeDocumentFragment object. Parameters:
  theSource | source instance
Returns: pointer to a node

data_type * XalanSourceTreeDocumentFragmentAllocator::create ( | XalanSourceTreeDocument & theValue )

  | Create a XalanSourceTreeDocumentFragment object. Parameters:
  theValue | The constructor parameter
Returns: pointer to a node

bool XalanSourceTreeDocumentFragmentAllocator::destroy ( | data_type * theObject )

| Delete an XalanSourceTreeDocumentFragment object from allocator.

size_type XalanSourceTreeDocumentFragmentAllocator::getBlockCount ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

size_type XalanSourceTreeDocumentFragmentAllocator::getBlockSize ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

bool XalanSourceTreeDocumentFragmentAllocator::ownsObject ( | const data_type * theObject )

| Determine if an object is owned by the allocator...

void XalanSourceTreeDocumentFragmentAllocator::reset ( | )

| Delete all XalanSourceTreeDocumentFragment objects from allocator.

The documentation for this class was generated from the following file:

- XalanSourceTreeDocumentFragmentAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.